# Diapo-switcher

ISEDP

## But du projet

Le but de ce projet est d'offrir aux étudiants un outil les aidant lors de leurs présentations (SAÉ, Présentation lors des cours de langue, etc..). 

## Historique
Ce projet a été lancé à la suite d'une discussion entre un de mes professeurs. Ma question était la possibilité d'utiliser le mode "Diaporama" de l'application [KDE Connect](https://kdeconnect.kde.org/) lors d'une présentation. Après que ma proposition ait été refusée, la remarque suivante a été faite:

"Il faudrait que l'IUT/Unistra fournisse à chaque étudiant une télécommande de présentation."

Après avoir comparé les prix des différents offres proposées sur le sites de e-commerce, je suis arrivé à la conclusion suivante:

- Il existe deux catégories d'offres pour ces télécommandes:
    
    - Les grandes marques (Logitech, Kensington) vendent leurs modèles à des [prix ayant une marge importante](https://www.logitech.com/fr-fr/products/presenters/r400-wireless-presenter.910-001356.html).

    - Les marques "No-name" chinoises vendent quand à elles des produits moins chers, mais limitent soit la compatibilité OS / les fonctions / utilisent des technologies telles que la communication sans fil 2,4 Ghz requérant un dongle supplémentaire. La qualité de fabrication est également difficilement vérifiable et le service SAV inexistant.

C'est pourquoi je tente de créer une version simple, utilisant des technologies multi-plateforme tels que le Bluetooth, tout étant Open-Source (sous licence GNU GPL 3.0).

## Architecture du système

![Image du circuit](Schéma_fonctionnel.drawio.png "Schéma du système")

## Composants
Le projet est basé sur la plateforme RP2040 de Raspberry Pi.
Elle a été choisie pour des facteurs de coûts et de facilité de développement. 

Celle-ci supporte en effet de façon native le compilateur [GNU C Compiler](https://gcc.gnu.org/) ainsi que le stack bluetooth [BTstack](https://github.com/bluekitchen/btstack) de BlueKitchen à l'aide de wrappers/libraries pré-intégrés dans le SDK[^1]. Sa documentation est également très [complète](https://datasheets.raspberrypi.com/pico/getting-started-with-pico.pdf).



Le µContrôleur sera alimenté par une batterie

[^1]: Le µContrôleur nécessite toutefois l'installation d'un SDK *custom*, mais celui-ci sert uniquement à ajouter les librairies essentielles. Raspberry Pi Ltd. met à disposition une [documentation](https://datasheets.raspberrypi.com/pico/getting-started-with-pico.pdf) permettant de le configurer. Reportez-vous au chapitre 2 du guide *Getting Started* pour installer les toolchains nécéssaires.